Subject: [tcpm] Questions for TCP experts regarding draft-kuehlewind-tcpm-accurate-ecn-03

From: Bob Briscoe <[email-masked]>
Date: Fri, 11 Jul 2014 11:51:05 +0100

TCPM folks,

We are hoping draft-kuehlewind-tcpm-accurate-ecn this will be adopted 
as a candidate solution to the chartered requirements currently in 
WGLC <draft-ietf-tcpm-accecn-reqs-06>.

draft-kuehlewind-tcpm-accurate-ecn-03 is a major revision (from 14pp 
to 55pp!).
It is an extremely interesting exercise in middlebox traversal.
It also fits as much feedback information as possible in zero extra bits :|

We had a number of alternative design choices. We'd like the opinion 
of the TCP experts in the WG on whether we chose the right set.

Appendix B lists alternatives that we did not include, but the WG 
might disagree:
<http://tools.ietf.org/html/draft-kuehlewind-tcpm-accurate-ecn-03#appendix-B>

Appendix C enumerates open design issues:
<http://tools.ietf.org/html/draft-kuehlewind-tcpm-accurate-ecn-03#appendix-C>
A couple (1 & 5) are very thought-provoking.

Bob

At 16:46 03/07/2014, [email-masked] wrote:

>A new version of I-D, draft-kuehlewind-tcpm-accurate-ecn-03.txt
>has been successfully submitted by Bob Briscoe and posted to the
>IETF repository.
>
>Name:           draft-kuehlewind-tcpm-accurate-ecn
>Revision:       03
>Title:          More Accurate ECN Feedback in TCP
>Document date:  2014-07-02
>Group:          Individual Submission
>Pages:          55
>URL: 
>http://www.ietf.org/internet-drafts/draft-kuehlewind-tcpm-accurate-ecn-03.txt
>Status: 
>https://datatracker.ietf.org/doc/draft-kuehlewind-tcpm-accurate-ecn/
>Htmlized: 
>http://tools.ietf.org/html/draft-kuehlewind-tcpm-accurate-ecn-03
>Diff: 
>http://www.ietf.org/rfcdiff?url2=draft-kuehlewind-tcpm-accurate-ecn-03
>
>Abstract:
>    Explicit Congestion Notification (ECN) is a mechanism where network
>    nodes can mark IP packets instead of dropping them to indicate
>    incipient congestion to the end-points.  Receivers with an ECN-
>    capable transport protocol feed back this information to the sender.
>    ECN is specified for TCP in such a way that only one feedback signal
>    can be transmitted per Round-Trip Time (RTT).  Recently, new TCP
>    mechanisms like Congestion Exposure (ConEx) or Data Center TCP
>    (DCTCP) need more accurate ECN feedback information whenever more
>    than one marking is received in one RTT.  This document specifies an
>    experimental scheme to provide more than one feedback signal per RTT
>    in the TCP header.  Given TCP header space is scarce, it overloads
>    the three existing ECN-related flags in the TCP header.  Also, to
>    improve robustness it uses 15 more bits if available.  For initial
>    experiments it places these in a TCP option.  However, if the Urgent
>    flag is cleared, zero header overhead could be achieved by reusing
>    the Urgent Pointer opportunistically.  Therefore this document
>    reserves space in the Urgent Pointer to be used if the protocol
>    progresses to the standards track.
>
> 
>
>
>
>Please note that it may take a couple of minutes from the time of submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat

________________________________________________________________
Bob Briscoe,                                                  BT